package com.zcloud.personnel.positioning.command;

import com.zcloud.personnel.positioning.domain.gateway.FencePointGateway;
import com.zcloud.personnel.positioning.domain.model.FencePointE;
import com.zcloud.personnel.positioning.dto.FencePointUpdateCmd;
import com.alibaba.cola.exception.BizException;
import lombok.AllArgsConstructor;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

/**
 * web-app
 *
 * @Author fangjiakai
 * @Date 2026-07-07
 */
@Component
@AllArgsConstructor
public class FencePointUpdateExe {
    private final FencePointGateway fencePointGateway;

    @Transactional(rollbackFor = Exception.class)
    public void execute(FencePointUpdateCmd cmd) {
        FencePointE fencePointE = new FencePointE();
        BeanUtils.copyProperties(cmd, fencePointE);
        boolean res = fencePointGateway.update(fencePointE);
        if (!res) {
            throw new BizException("修改失败");
        }
    }
}
